Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.algorithm.planar
Class PlanarConfig

    java.lang.Object
      org.maltparser.parser.ParserConfiguration
          org.maltparser.parser.algorithm.planar.PlanarConfig

    public class PlanarConfig

extends ParserConfiguration

Author:
  Carlos Gomez Rodriguez

Field Summary
`boolean` | `acyclicity`
`int` | `connectedness`
`static int` | `FULL_CONNECTEDNESS`
`static int` | `NO_CONNECTEDNESS`
`boolean` | `noCoveredRoots`
`static int` | `REDUCE_ONLY`
`boolean` | `SINGLE_HEAD`

Fields inherited from class org.maltparser.parser.ParserConfiguration
`historyNode`

Constructor Summary
`PlanarConfig(SymbolTableHandler symbolTableHandler, String noCoveredRoots, String acyclicity, String connectedness)`

Method Summary
`void` | `clear()` Clears the parser configuration
`boolean` | `equals(Object obj)`
`DependencyStructure` | `getDependencyGraph()` Returns the dependency structure
`DependencyStructure` | `getDependencyStructure()`
`Stack<DependencyNode>` | `getInput()`
`DependencyNode` | `getInputNode(int index)`
`Stack<DependencyNode>` | `getStack()`
`DependencyNode` | `getStackNode(int index)`
`void` | `initialize(ParserConfiguration parserConfiguration)` Initialize the parser configuration with the same state as the parameter config
`boolean` | `isTerminalState()` Returns true if the parser configuration is in a terminal state, otherwise false.
`boolean` | `requiresAcyclicity()`
`boolean` | `requiresConnectednessCheckOnReduce()`
`boolean` | `requiresConnectednessCheckOnShift()`
`boolean` | `requiresNoCoveredRoots()`
`boolean` | `requiresSingleHead()`
`void` | `setAcyclicity(boolean value)`
`protected void` | `setConnectedness(String conn)`
`void` | `setDependencyGraph(DependencyStructure source)` Sets the dependency structure
`void` | `setNoCoveredRoots(boolean value)`
`String` | `toString()`

Methods inherited from class org.maltparser.parser.ParserConfiguration
`getHistoryNode, setHistoryNode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_CONNECTEDNESS

    public static final int NO_CONNECTEDNESS

See Also:
  Constant Field Values

### REDUCE_ONLY

    public static final int REDUCE_ONLY

See Also:
  Constant Field Values

### FULL_CONNECTEDNESS

    public static final int FULL_CONNECTEDNESS

See Also:
  Constant Field Values

### SINGLE_HEAD

    public final boolean SINGLE_HEAD

See Also:
  Constant Field Values

### noCoveredRoots

    public boolean noCoveredRoots

### acyclicity

    public boolean acyclicity

### connectedness

    public int connectedness

Constructor Detail

### PlanarConfig

    public PlanarConfig(SymbolTableHandler symbolTableHandler,
                        String noCoveredRoots,
                        String acyclicity,
                        String connectedness)
                 throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### getStack

    public Stack<DependencyNode> getStack()

### getInput

    public Stack<DependencyNode> getInput()

### getDependencyStructure

    public DependencyStructure getDependencyStructure()

### isTerminalState

    public boolean isTerminalState()

  Description copied from class: `ParserConfiguration`
  Returns true if the parser configuration is in a terminal state, otherwise false.

  Specified by:
    `isTerminalState` in class `ParserConfiguration`
  Returns:
    true if the parser configuration is in a terminal state, otherwise false.

### getStackNode

    public DependencyNode getStackNode(int index)
                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### getInputNode

    public DependencyNode getInputNode(int index)
                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### setDependencyGraph

    public void setDependencyGraph(DependencyStructure source)
                            throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Sets the dependency structure

  Specified by:
    `setDependencyGraph` in class `ParserConfiguration`
  Parameters:
    `source` - a dependency structure
  Throws:
    `MaltChainedException`

### getDependencyGraph

    public DependencyStructure getDependencyGraph()

  Description copied from class: `ParserConfiguration`
  Returns the dependency structure

  Specified by:
    `getDependencyGraph` in class `ParserConfiguration`
  Returns:
    the dependency structure

### initialize

    public void initialize(ParserConfiguration parserConfiguration)
                    throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Initialize the parser configuration with the same state as the parameter config

  Specified by:
    `initialize` in class `ParserConfiguration`
  Parameters:
    `parserConfiguration` - a parser configuration
  Throws:
    `MaltChainedException`

### requiresSingleHead

    public boolean requiresSingleHead()

### requiresNoCoveredRoots

    public boolean requiresNoCoveredRoots()

### requiresAcyclicity

    public boolean requiresAcyclicity()

### requiresConnectednessCheckOnReduce

    public boolean requiresConnectednessCheckOnReduce()

### requiresConnectednessCheckOnShift

    public boolean requiresConnectednessCheckOnShift()

### setNoCoveredRoots

    public void setNoCoveredRoots(boolean value)

### setAcyclicity

    public void setAcyclicity(boolean value)

### setConnectedness

    protected void setConnectedness(String conn)
                             throws MaltChainedException

  Throws:
    `MaltChainedException`

### clear

    public void clear()
               throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Clears the parser configuration

  Specified by:
    `clear` in class `ParserConfiguration`
  Throws:
    `MaltChainedException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.